package org.acme;

import io.quarkus.security.Authenticated;
import javax.enterprise.context.RequestScoped;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import org.eclipse.microprofile.openapi.annotations.responses.APIResponse;
import org.eclipse.microprofile.openapi.annotations.responses.APIResponses;

@RequestScoped
@Path("/hello")
//@Authenticated
//@RolesAllowed("MyRole")
public class GreetingResource {

    @APIResponses({
        @APIResponse(ref = "ok"),
        @APIResponse(ref = "unauthorized"),
        @APIResponse(ref = "forbidden")
    })
    @Authenticated
//    @RolesAllowed("MyRole")
    @GET
    @Produces(MediaType.TEXT_PLAIN)
    public String hello() {
        return "Hello RESTEasy";
    }
}